# Valheim Armory
Valheim Armory is a continuation of Valheim Additions. A small mod designed to fill gaps in the valheim ecosystem.

The goal of this mod is to create a more diverse but not sprawling selection of weapons to make all playstyles feel fully supported at each level.


This mod is balanced to be mostly lore friendly with a preference for fun and enjoyable scaling and mechanics.

This mod is highly configurable, you can use all of it, parts or tune it as you need.

Got a bug to report or just want to chat about the mod? Drop by the discord or github.

[![discord logo](https://i.imgur.com/uE6umQE.png)](https://discord.gg/Dmr9PQTy9m) [![github logo](https://i.imgur.com/lvbP5OF.png)](https://github.com/MidnightsFX/Valheim_Armory)


## Translations
This mod will always have an up-to-date English localization, as that is what I can provide as its author.
However, I do welcome community translations!

If you would like to contribute a new translation, or improve an existing one please feel free to reach out to me or provide a translation file in the same format as one of the existing ones.
[Found here](https://github.com/MidnightsFX/Valheim_Armory/tree/master/ValheimArmory/localizations)


# Features

Below are all of the items added by this mod. The descriptions and information here are provided so you know what you are getting. But I encourage you to explore and discover the weapons instead.

Here is a sample gallery of weapons added by this mod.

![Sample Gallery of added content](https://i.imgur.com/bl5tTcl.png)

<details>
<summary>I want to see the weapons (spoilers!)</summary>

![Gallery pt1](https://i.imgur.com/zuh6YNT.png)
![Gallery pt2](https://i.imgur.com/NtyDJfG.png)

</details>

Below is more information on all of the items added, what tier they are in, where they are crafted and at what progression point. All of the sections below are expandable to view the details.

<details>
  <summary>Boss Weapons</summary>
  
  ## Eikthyrs

    Eikthyrs weapons are split into two groups, one requiring the workbench and the other the forge. Meaning that some of these weapons will require metals from the black forest.

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Antler Bow | Forge | Post-Meadows | `VAAntler_Bow` | ![Antler Bow Icon](https://i.imgur.com/YYavFT6.png) |
  | Antler Dagger | Workbench | Post-Meadows | `VAAntler_dagger` | ![Antler Dagger Icon](https://i.imgur.com/TImtKNo.png) |
  | Antler Sword | Forge | Post-Meadows | `VAAntler_Sword` | ![Antler Sword Icon](https://i.imgur.com/uw1ZNgz.png) |
  | Antler Atgeir | Workbench | Post-Meadows | `VAatgeir_antler` | ![Antler Atgier Icon](https://i.imgur.com/URdXvZc.png) |
  | Antler Greataxe | Forge | Post-Meadows | `VAAntler_greataxe` | ![Antler Greataxe Icon](https://i.imgur.com/jIAHbCD.png) |

  ## Elder
  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Vine hammer | Forge | Post-Blackforest | `VAElderHammer` | ![Elder Sledgehammer icon](https://i.imgur.com/IvJzuX3.png) |
  | Vine shield | Forge | Post-Blackforest | `VAElderRoundShield` | ![Elders roundshield icon](https://i.imgur.com/2eNj45X.png) |
  | Vine crossbow | Forge | Post-Blackforest | `VACrossbowElder` | ![Elders crossbow Icon](https://i.imgur.com/fDaATMs.png) |
  | Vine sword | Forge | Post-Blackforest | `VAVine_Sword` | ![Elders Sword Icon](https://i.imgur.com/621VD59.png) |
  | Vine mace | Forge | Post-Blackforest | `VAElder_mace` | ![Elders Mace Icon](https://i.imgur.com/SfYdLP7.png) |

  ## Bonemass
  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Skull hammer | Forge | Post-Swamp | `VABonemassWarhammer` | ![Bonemass Warhammer icon](https://i.imgur.com/sg9yGYu.png) |
  | Bone blade | Forge | Post-Swamp | `VABonemassGreatsword` | ![bonemass greatsword icon](https://i.imgur.com/OWfG9nK.png) |
  | Poisoned bone dagger | Forge | Post-Swamp | `VABonemassDagger` | ![Bonemasses dagger icon](https://i.imgur.com/o9qxcEG.png) |

  ## Moder
  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Dragonfrost sword | Forge | Post-Mountain | `VASwordModer` | ![Ice sword Icon](https://i.imgur.com/iXVICFY.png) |
  | Dragonfrost spear | Forge | Post-Mountain | `VASpearModer` | ![Ice Spear Icon](https://i.imgur.com/X4CuFZs.png) |
  | Dragonfrost crossbow | Forge | Post-Mountain | `VACrossbowModer` | ![Mechanical Crossbow Icon](https://i.imgur.com/KMNzFgZ.png) |
  | Dragonfrost buckler | Forge | Post-Mountain | `VAModer_RoundShield` | ![Moder roundshield](https://i.imgur.com/kDHDtJT.png) |

  ### Yagluth
  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Goblin king atgeir | Forge | Post-Plains | `VAYagluthAtgeir` | ![darkmetal atgeir](https://i.imgur.com/LXLNlF0.png) |
  | Goblin king greatsword | Forge | Post-Plains | `VAYagluth_greatsword` | ![darkmetal greatsword](https://i.imgur.com/diyEKHx.png) |
  | Goblin king knuckles | Forge | Post-Plains | `VAFist_Yagluth` | ![darkmetal knuckles](https://i.imgur.com/yGTlNh1.png) |

</details>

<details>
  <summary>Arrows</summary>

  Arrows Added here fill out a number of additional roles, and importantly add new resource sinks.

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Bone arrow | Workbench | Meadows | `VAArrowBone` | ![bone arrow icon](https://imgur.com/KUYj0Zp.png) |
  | Chitin arrow | Workbench | Ocean | `VAchitinarrow` | ![chitin arrow icon](https://imgur.com/LKNQnEt.png) |
  | Ancient Wood arrow | Workbench | Swamp | `VAarrowancient` | ![ancient wood arrow icon](https://imgur.com/d28tCPw.png) |
  | Surtling Fire arrow | Forge | Mountain | `VAarrow_surtling_fire` | ![surtling fire arrow icon](https://i.imgur.com/K5Erlwt.png) |
  | Blackmetal arrow | Forge | Plains | `VAArrowGreenMetal` | ![blackmetal arrow icon](https://imgur.com/yiJKz6s.png) | 
  | Wood Bolt | Artisan | Blackforest | `VABoltWood` | ![wood crossbow bolt](https://imgur.com/UTbO8aG.png) |
  | Bronze Bolt | Artisan | Blackforest | `VAbolt_bronze` | ![bronze bolt](https://i.imgur.com/cUJTlB3.png) |
  | Iron Poison Bolt | Artisan | Swamp | `VAbolt_poison` | ![iron poison bolt](https://i.imgur.com/mVLDfm8.png) |
  | Silver Frost Bolt | Artisan | Mountain | `VAbolt_frost` | ![Silver Frost bolt](https://i.imgur.com/0FGHrBB.png) |
  | Blackmetal Surtling Bolt | Artisan | Plains | `VASurtlingBolt` | ![blackmetal surtling bolt](https://i.imgur.com/iZ5fOrF.png) |

</details>

<details>
  <summary>Atgeirs</summary>

  Added Atgiers help fill in missing tiers.

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Flint Atgeir | Workbench | Meadows | `VAAtgeir_Flint` | ![flint atgeir icon](https://i.imgur.com/ASQRVLD.png) |
  | Royal Abyssal Atgeir | Forge | Mountain | `VAAtgeirchitin` | ![royal abyssal atgeir icon](https://i.imgur.com/FCO85Nq.png) |
  | Silver Atgeir | Forge | Mountain | `VASilverAtgeir` | ![silver atgeir icon](https://i.imgur.com/WLB6PWp.png) |
</details>


<details>
  <summary>Axes</summary>

  ### Greataxes (2H Axes)
  Battleaxes are a fun but very challenging playstyle in valheim. They are slow so you generally need to kill your opponets before they can kill you, which happens fast.

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Flint Greataxe | Workbench | Meadows | `VAFlint_greataxe` | ![flint greataxe icon](https://i.imgur.com/dPbaKtX.png) |
  | Bronze Lumber Axe | Forge | Blackforest | `VAbronze_battleaxe` | ![bronze greataxe icon](https://i.imgur.com/1an32hc.png) |
  | Blackmetal Greataxe | Forge | Mistlands | `VAblackmetal_battleaxe` | ![blackmetal greataxe icon](https://i.imgur.com/2H94zhh.png) |

</details>

<details>
  <summary>Knives</summary>
  
  ### Added Daggers

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Bronze Dagger | Forge | Blackforest | `VAdagger_bronze` | ![bronze dagger icon](https://i.imgur.com/AyWevGx.png) |
  | Iron Dagger | Forge | Swamp | `VAdagger_iron` | ![iron dagger icon](https://i.imgur.com/9MBSw5X.png) |
  | Silver Dagger | Forge | Mountain | `VAdagger_silver` | ![silver dagger icon](https://i.imgur.com/SL2G0Vn.png) |

  ---

  ### Added 2H Daggers

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Flint Daggers | Workbench | Meadows | `VADagger_Flint_2h` | ![flint daggers icon](https://i.imgur.com/vdkexcd.png) |
  | Rascal Daggers | Forge | Blackforest | `VAdagger_bronze_2h` | ![rascal daggers icon](https://i.imgur.com/88MEras.png) |
  | Rogue Daggers | Forge | Swamp | `VAdagger_iron_2h` | ![rogue daggers icon](https://i.imgur.com/1kyTYjP.png) |
  | Blackguard Runic Daggers | Forge | Mountain | `VAdagger_silver_2h` | ![blackguard runic daggers icon](https://i.imgur.com/8HwWqah.png) |

  * Note: 2H Daggers will float infront of item wall mounts due to their separated attachment style. They display normally on an item stand.

  The addition of 2H daggers at lower tiers also provides you a way to focus on that playstyle all of the way up till the current end of the game.

</details>

<details>
  <summary>Bows</summary>
  
  ### Added Crossbows

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Bronze Crossbow | Forge | Blackforest | `VACrossbowBronze` | ![bronze crossbow icon](https://i.imgur.com/GkWbooT.png) |
  | Bronze Arbalist | Forge | Plains | `VAArbalistBronze` | ![bronze arbalist icon](https://i.imgur.com/iuk67H0.png) |

</details>

<details>
  <summary>Hammers</summary>
  
  ### Added Sledges

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Blackmetal Sledge | Forge | Plains | `VAblackmetal_sledge` | ![blackmetal sledge icon](https://i.imgur.com/ChVYaYS.png) |

</details>

<details>
  <summary>Shields</summary>
  
  ### Added Shields

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Serpent Scale Buckler | Forge | Swamp | `VAserpent_buckler` | ![serpent scale buckler icon](https://i.imgur.com/jtB6efS.png) |

</details>

<details>
  <summary>Swords</summary>
  
  ### Added Greatswords

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Flint Greatsword | Workbench | Meadows | `VAFlint_greatsword` | ![flint greatsword icon](https://i.imgur.com/IWwo2x0.png) |
  | Bronze Greatsword | Forge | Blackforest | `VAbronze_greatsword` | ![bronze greatsword icon](https://i.imgur.com/cjSbYI5.png) |
  | Iron Greatsword | Forge | Swamp | `VAiron_greatsword` | ![iron greatsword icon](https://i.imgur.com/UmjdC0K.png) |
  | Silver Greatsword | Forge | Mountain | `VAsilver_greatsword` | ![silver greatsword icon](https://i.imgur.com/qBOtNRn.png) |


  ---
  
  ### Added Swords

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Flint Sword | Workbench | Meadows | `VAFlint_Sword` | ![flint sword icon](https://i.imgur.com/8PEvo8I.png) |
  | Chitin Sword | Forge | Blackforest | `VASwordChitin` | ![chitin sword icon](https://i.imgur.com/HtNvGaA.png) |

  * Chitin Sword (Abyssal Sword) is an early game sword sitting between bronze and iron but with the unique difference of inflicting some blunt damage, making it less useless against all of the enemies in the swamp
</details>

<details>
  <summary>Knuckles</summary>
  
  ### Added Hand weapons

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Flint knuckles | Workbench | Meadows | `VAFist_Flint` | ![flint knuckles](https://i.imgur.com/IhPPv7q.png) |
  | Bronze knuckles | Forge | BlackForest | `VAFist_Bronze` | ![bronze knuckles](https://i.imgur.com/PEYLGow.png) |
  | Iron knuckles | Forge | Swamp | `VAFist_Iron` | ![iron knuckles](https://i.imgur.com/Y1TkBxk.png) |

</details>

<details>
  <summary>Magic Weapons</summary>
  
  ### Added Magic weapons

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Druidic staff of spirit | Workbench | BlackForest | `VAStaff_Druid_Spirit` | ![druidic spirit staff](https://i.imgur.com/4WrNu8i.png) |
  | Druidic staff of poison | Workbench | Swamp | `VAStaff_Druid_Poison` | ![druidic poison staff](https://i.imgur.com/PXi8ztI.png) |
  | Druidic staff of ice | Workbench | Mountains | `VAStaff_Druid_Ice` | ![druidic ice staff](https://i.imgur.com/AFtAeV7.png) |
  | Druidic staff of fire | Workbench | Plains | `VAStaff_Druid_Fire` | ![fire druidic staff](https://i.imgur.com/Xq7o8MW.png) |
  | Staff of Spirit | Magetable | Mistlands | `VAStaff_Spirit` | ![Staff of spirit](https://i.imgur.com/BuIbWQN.png) |
  | Staff of Poison | Magetable | Mistlands | `VAStaff_Poison` | ![fire druidic staff](https://i.imgur.com/UKn5TJC.png) |

</details>

---

## Configuration

Everything is optionally configurable through the ingame mod configuration UI provided by BepinEx.
  * [Thunderstore link](https://valheim.thunderstore.io/package/TJzilla/BepInEx_ConfigurationManager/)
  * [Nexus Link](https://www.nexusmods.com/valheim/mods/740)

Otherwise a configuration file located at `/BepInEx/config/MidnightsFX.ValheimArmory.cfg` contains all of the configuration.

Please note that basically ALL of the configuration is server sided. Which means that **it requires a restart of your game to take effect**. This allows me to ensure that the server and the client are always in sync with the details of everything- like how much damage you did to that greydwarf.

Current configuration options:
* Damage
* Damage per level
* Recipe
* Stamina cost
* Block amount
* block per level
* Crafted amount (where applicable)

---

## FAQ

Q. Valheim Enchanting System doesn't support these weapons?
- A. There is a default VES config in the VA folder (`VES.ValheimArmory.default.yml`), it must be moved to the VES config folder. This gives you full control of configurations that are actually applied in regards to VES.
	 The folder you should place this config file in is `BepInEx\config\ValheimEnchantmentSystem\AdditionalEnchantmentReqs`

Q. Epic Loot doesn't automatically drop these weapons, what gives?
- A. There is a default Epic Loot config files (`EpicLoot_Valheim_Armory.loottables.json, EpicLoot_Valheim_Armory.iteminfo.json`) in the VA folder, they must be moved to the Epic loot config patches folder. `\BepInEx\config\EpicLoot\patches`

Q. The bronze crossbow costs dragon tears?
- A. Delete the config for the bronze crossbow (or your whole config file).

Q. Why does disabling the recipe do nothing?
- A. You must have an item enabled, for the recipe disable flag to do anything. When an item is disabled it is completely removed from the game, so its recipe doesn't matter.

Q. Why does x weapon look bad?
- A.
	- This is my first Unity, and Valhiem mod
	- My original goal with modding was to just make a singular new arrow
	- I'm not a gamedev, I suck at textures, modeling and don't know the unity loaders
	- I'm learning as I go, and welcome feedback
	- I do this in my few hours of free time, sometimes I don't have that time
---

## Currently in-progress
<details>
  <summary>Potential Spoilers!</summary>
  
  * Designing Boss Weapons for the mistlands

  Boss Weapon Release roadmap
  * Additional weapon types for all existing bosses

  The Boss weapon roadmap will take a number of updates. Feel free to submit ideas to the github.
</details>

---

## Future Plans
<details>
  <summary>Potential Spoilers!</summary>
  
  * Filling out boss weapons for most/all playstyles (long term)
  * Chitin Shield
  * Named Mace (blackmetal mace)
  * Silver sledge
  * 2H Warhammers (Maces but bigger)
  * Better VFX for weapons
  * New spear alternatives
  * More magic (eitr) powered weapons (non-staves, post Ashlands update)
</details>

---

## Installation (Automatic)
Just download with your favorite modmanager!

## Installation (manual)
Toss the ValheimArmory folder and files into your plugins folder. Technically the only thing required is the ValheimArmory.ddl, configs will generate on first run. Optionally follow the instructions to setup VES or Epic Loot configs.

## Changelog

<details>
  <summary>Changelog (Potential spoilers!)</summary>

**1.6.2**
```
- Fixes bonemass warhammer smash aoe damage not being spread across the whole radius
```

**1.6.1**
```
- Fixed the antler atgeir & flint atgeir having both slash & pierce
- Removed minor resistances from the vine shield
- Added a groundsmash secondary attack for bonemasses warhammer
- Reduced default stamina cost of the primary attack for bonemasses warhammer, and sped it up slightly
- Updated Yagluths fists to have a jump secondary attack
- Remade the abyssal atgiers skin and vfx, now much softer, less shiny
- Added an obsidian bolt for crossbows
- Tuned default damage for the abyssal atgeir to be more in line with other atgeirs (and to upgrade linearly)
```

**1.6.0**
```
- Remodelled the skyshatter, updated its VFX! less foggy more soft electric
- Redesigned the elders shield
	- Updated the spirit & poison resistances the shield provides to be major resistances instead of minor ones (holding the shield is now effectively a free poison resist, just don't stash/unequip or you'll have a bad time)
- Added Moders shield
	- Moders shield now provides frost (major) and fire (minor) resistances
- Added Fist weapons (knuckles): Flint, Bronze, Iron, and blackmetal (boss weapon)
- Added Magic staffs! Poison, Spirit, Fire, Ice 
	- these new magic staffs are split into two catagories: pre mistlands and mistlands level and they work slightly differently
	- pre-mistlands staffs have a high stamina cost but no Eitr cost
	- mistland level staffs are stronger, have a low eitr cost and no stamina cost
	- this is all completely configurable if you want them to work differently
- Fixes for some flint weapons not colliding properly with things when dropped
```

**1.5.17**
```
- Fixed the default recipe for iron poisoned crossbow bolts to use iron
- Added Flint weapon set (Atgeir, Sword, 2H dagger, Greatsword)
- Added prefab names to readme
```

**1.5.16**
```
- Fixed missing shader compilation for Vulkan
```

**1.5.15**
```
- Fixed Moders spear missing its trail texture when thrown
- Reduced specular highlights on Moders & Elders weapons, increased darkness of vine textures
- Fixed naming of the elders sledge
```

**1.5.14**
```
- Fixed missing weapon trails on a handful of weapons
- Fixed high levels of metallic rendering used on the elders weapons
```

**1.5.13**
```
- Fixed autopickup for a few more weapons, really this should be the last time
- Fixed the antler bow getting a NPE when firing
```

**1.5.12**
```
- !!CHANGED CONFIG LOCATION!! now MidnightsFX.ValheimArmory.cfg
- Added support for weapons/shields to provide resistances
- Set the Elders shield to provide a poison resistance (and config options to enable/disable)
- Fixed autopickup for a few remaining weapons
- Updated compiled against unity version to 2022.12
- Increased compression of files (download is 25% smaller now)
```

**1.5.11**
```
- Fixed auto-pickup for a number of weapons (including dragonfrost spear), it should now work correctly.
```

**1.5.10**
```
- Updated english name localization, improving weapon naming to feel more vanilla
```

**1.5.9
```
- Fixing missing Epic Loot config files on Thunderstore
- Fixed Elders hammer not having one of its sound effects
- Fixed Elders balance incorrectly having lightning damage and blunt damage instead of just slash and spirit
```

**1.5.8**
```
- Fixing arrow text description for arrows including a non-printable control character
- Improving flexibility of crafting station configuration options for all craftable weapons/ammos
```

**1.5.7**
```
- Default configuration for Valheim Enchantment System (VES) and Epic Loot now available in the mod folder
- Added Elders sword & mace
- Fixed prefab name for Chitin Atgeir
```

**1.5.6**
```
-Fixes for the Elder Hammer & Skyshatter not having sfx hit sounds
```

**1.5.5**
```
- Fixes for the spanish translation
- Updates to required version of Jotunn & BepinEx
```

**1.5.4**
```
- Added Spanish Translation
- Fixed missing sound effects for Elders hammer
```

**1.5.3**
```
- Fixed Chinese Translation not loading properly
```

**1.5.2**
```
- Added Chinese translation
```

**1.5.1**
```
- Hildirs Update support validated!
- Updated to Jotunn 2.12.7
- Added the option to enable/disable craftable state for all items. This is seperate from enabling the item itself, you can now enable the item to be loaded into the game. 
	But keep it non-craftable, this might be useful if you only want a specific weapon to drop from Epicloot etc.
```

**1.5.0**
```
- Added two Yagluth themed weapons
- Added configuration for block to all weapons and shields
- Updated Jotunn to 2.12.4
```

**1.4.0**
```
- Added initial bonemass boss weapons!
- First 2H warhammer added, likely slightly overpowered. This weapon acts like a 2H axe or sword, but does blunt damage.
- Added silver Atgeir, this is a direct upgrade between Iron & Blackmetal
- Updates to how localizations are added, better support for multiple languages
- Added Russian translation
```

**1.3.4**
```
- Fixed Moders crossbow not being configurable and using the wrong defaults
```

**1.3.3**
```
- Fixed wood bolt triggering the invalid recipe warning
- Fixed a particle mock for arrow feathers not resolving on some versions of valheim
- Rebalance of most boss weapons, and a few outlier non-boss weapons. Recipes are slightly more expensive overall and damage is generall down across the board.
	This primarily brings boss weapons in line with the next tier weapon minus a small bit. The balance change is just to the default config values.
	If you want to keep your weapons more powerful continue using your existing config, defaults will only be applied if you do not have a value set (new or deleted config).
```

**1.3.2**
```
- Updated German localization
```

**1.3.1**
```
- Fixed the antler greataxe being held the wrong way
```

**1.3.0**
```
- 3 new weapons based on the Elder
- 3 new weapons based on the Moder
- new crossbow and a handful of new bolts!
- bugfix for the antler dagger not being impacted by gravity
- fixed the default recipe for 1h bronze dagger

```

**1.2.1**
```
- Finished current german localization
- Updated the surtling core arrow icon

```

**1.2.0**
```
- Added Eikthyr Bow, Dagger, Sword & Greataxe
- Remeshed the Antler Atgeir
- Balance for the Eikthyr weapons is tilted towards overpowered.

```

**1.1.0**
```
- Added Daggers
- Added 2H Daggers

- Significant updates to the configuration code, more things are now configurable!
	- Stamina cost for primary and secondary attacks
	- Crafting costs
	- Where things are crafted at
```

**1.0.1**
```
- Fixed Iron level sword recipe, should now actually require Iron.
```

**1.0.0**
```
- Release! I'm sure its got bugs somewhere
```

</details>

## Issues
Please report any issues you encounter on the [github issue tracker](https://github.com/MidnightsFX/Valheim_Armory/issues) or ask for help on the [discord](https://discord.gg/Dmr9PQTy9m)

## Credits
* German translations provided by SACK3000
* Chinese translations provided by ZhiTian Wu
* Valheim Enchantment System config defaults by Aziraphale
* Some texture resources generated from [withpoly](https://withpoly.com/browse/textures)
* [Sword Model](https://assetstore.unity.com/packages/3d/props/weapons/free-low-poly-swords-rpg-weapons-198166)
* Hugo for his advice and help getting skinned meshes running
* Jotun community for answering some silly questions :)
* The Valheim team at Irongate which makes all of this possible!
